interface ProgressType {
    percentageOfIpv4Scanned: number; // assuming this is a number
    totalFiltered: bigint;
    amountOfIpv4Left: bigint;
    totalDiscarded: bigint;
    discardedDbSize: bigint;
    filteredDbSize: bigint;
    myDbSize: bigint;
}

interface ProgressDictionary {
    description: string;
    value: string;
}

type CacheEntry<T> = {
    data: T;
    timestamp: number;
};